<button mat-icon-button class="close-button" [mat-dialog-close]="true">
    <mat-icon class="close-icon">close</mat-icon>
</button>

<mat-dialog-content class="mat-typography">
    <div *ngIf="user" class="bio-section" >
        <div class="profile-section">
            <div class="avatar">
                <img [src]="user.image">
            </div>
            <div class="name">
                <span class="user-profile__username">{{ user.name }}</span>
            </div>
        </div>
    </div>
    <div class="data-sheet-section">

        <mat-horizontal-stepper (selectionChange)="onSelectionChange($event)" [linear]="true" labelPosition="bottom" #stepper>
            <!-- [PERSONAL DATA STEP] -->
            <mat-step [editable]="true" [optional]="false" [stepControl]="firstFormGroup">
              <form [formGroup]="firstFormGroup">
                <ng-template matStepLabel>{{ 'profile.form.steps.personal-data' | translate }}</ng-template>
                <mat-grid-list cols="3" rowHeight="80" gutterSize="8px">
                    <!-- Age -->
                    <mat-grid-tile
                        [colspan]="1"
                        [rowspan]="1">
                        <mat-form-field id="cage-form-field" appearance="fill" class="mat-form-field-dark">
                            <mat-label>Current age</mat-label>
                            <input matInput placeholder="Current age" formControlName="age" type="number" required>
                            <span matSuffix>&nbsp; yo.</span>
                        </mat-form-field>
                    </mat-grid-tile>
                    <!-- Length -->
                    <mat-grid-tile
                        [colspan]="1"
                        [rowspan]="1">
                        <mat-form-field id="clength-form-field" appearance="fill" class="mat-form-field-dark">
                            <mat-label>Current length</mat-label>
                            <input matInput placeholder="Current length" formControlName="length" type="number" required>
                            <span matSuffix>&nbsp; cm.</span>
                        </mat-form-field>
                    </mat-grid-tile>
                    <!-- Weight -->
                    <mat-grid-tile
                        [colspan]="1"
                        [rowspan]="1">
                        <mat-form-field id="cweight-form-field" appearance="fill" class="mat-form-field-dark">
                            <mat-label>Current weight</mat-label>
                            <input matInput placeholder="Current weight" formControlName="weight" type="number" required>
                            <span matSuffix>&nbsp; kg.</span>
                        </mat-form-field>
                    </mat-grid-tile>
    
                    <!-- BMI -->
                    <mat-grid-tile
                        [colspan]="1"
                        [rowspan]="1">
                        <mat-form-field id="cbmi-form-field" appearance="fill" class="mat-form-field-dark">
                            <mat-label>BMI</mat-label>
                            <input matInput placeholder="BMI" formControlName="bmi" type="number">
                        </mat-form-field>
                    </mat-grid-tile>
    
                    <!-- Body fat -->
                    <mat-grid-tile
                        [colspan]="1"
                        [rowspan]="1">
                        <mat-form-field id="cweight-form-field" appearance="fill" class="mat-form-field-dark">
                            <mat-label>Body fat</mat-label>
                            <input matInput placeholder="Body fat" formControlName="bodyFat" type="number">
                            <span matSuffix>&nbsp; %.</span>
                        </mat-form-field>
                    </mat-grid-tile>
    
                    <!-- Gender -->
                    <mat-grid-tile
                        [colspan]="1"
                        [rowspan]="1">
                        <mat-radio-group formControlName="gender">
                            <mat-radio-button value="male" selected>Male</mat-radio-button>
                            <mat-radio-button value="female">Female</mat-radio-button>
                        </mat-radio-group>
                    </mat-grid-tile>
    
                    <!-- Goal-->
                    <mat-grid-tile
                        [colspan]="3"
                        [rowspan]="1">
                        <mat-form-field appearance="fill" class="mat-form-field-dark">
                            <mat-label>Goal</mat-label>
                            <mat-select placeholder="Goal" formControlName="goal" required>
                                <mat-option *ngFor="let goal of getKeys(goalTypes)" [value]="goal" >
                                    {{ 'profile.goals.'+goalTypes[goal] | lowercase | translate }}
                                </mat-option>
                            </mat-select>
                        </mat-form-field>
                    </mat-grid-tile>
                </mat-grid-list>
                <div class="mat-dialog-actions">
                  <button mat-raised-button color="accent" [disabled]="!firstFormGroup.valid" matStepperNext>{{ 'actions.next' | translate }}</button>
                </div>
              </form>
            </mat-step>
            <!-- [ENERGY BALANCE STEP] -->
            <mat-step [editable]="true" [optional]="false" [stepControl]="secondFormGroup">
                <form [formGroup]="secondFormGroup">
                    <ng-template matStepLabel>Balance energético</ng-template>
                    <div class="energy-balance-section">
                        <!-- Goal-->
                        <div class="goal-section">
                            <mat-grid-list cols="1" rowHeight="80" gutterSize="8px">
                                <mat-grid-tile
                                    [colspan]="1"
                                    [rowspan]="1">
                                    <mat-form-field appearance="fill">
                                        <mat-label>Activity factor</mat-label>
                                        <mat-select 
                                        (selectionChange)="onActivityFactorChanged()"
                                        placeholder="Activity Factor" formControlName="activityFactor" required>
                                            <mat-option *ngFor="let activity of getKeys(activityTypes)" [value]="activity" >
                                                {{ 'profile.activities.'+activityTypes[activity] | lowercase | translate }}
                                            </mat-option>
                                        </mat-select>
                                    </mat-form-field>
                                </mat-grid-tile>
                            </mat-grid-list>
                            <mat-card>
                                <!-- BMR-->
                                <p *ngIf="BMR">
                                    <strong>BMR: </strong><span>{{ BMR | number:'1.1-2' }} kcal.</span>
                                </p>
                                
                                 <!-- TMB-->
                                 <p *ngIf="TMB">
                                    <strong>TMB: </strong><span>{{ TMB | number:'1.1-2' }} kcal.</span>
                                </p>
                
                                <!-- TMB-->
                                <p *ngIf="TDEE">
                                    <strong>TDEE: </strong><span>{{ TDEE | number:'1.1-2' }} kcal.</span>
                                </p>
                
                                <!-- GOAL-->
                                <p>
                                    <mat-form-field appearance="fill">
                                        <mat-label>Goal kcal.</mat-label>
                                        <input matInput type="number" placeholder="Kcal" formControlName="kcal">
                                        <span matSuffix>kcal</span>
                                    </mat-form-field>
                                </p>
                            </mat-card>
                        </div>

                        <!-- Macros-->
                        <div class="macros-section">
                            <!-- HC -->
                            <div class="macro-goal-info">
                                <mat-form-field appearance="fill">
                                    <mat-label>HC</mat-label>
                                    <input matInput type="number" placeholder="HC (%)" formControlName="hc">
                                    <span matSuffix>%</span>
                                </mat-form-field>
                            </div>
                            
                            <!-- Fats -->
                            <div class="macro-goal-info">
                                <mat-form-field appearance="fill">
                                    <mat-label>Fats</mat-label>
                                    <input matInput type="number" placeholder="Fats (grams/kg)" formControlName="fats">
                                    <span matSuffix>gr/kg</span>
                                </mat-form-field>
                            </div>

                            <!-- Protein -->
                            <div class="macro-goal-info">
                                <mat-form-field appearance="fill">
                                    <mat-label>Protein</mat-label>
                                    <input matInput type="number" placeholder="Proteins (grams/kg)" formControlName="proteins">
                                    <span matSuffix>gr/kg</span>
                                </mat-form-field>
                            </div>
                        </div>
                    </div>
               
                    <div class="mat-dialog-actions">
                      <button mat-button matStepperPrevious>{{ 'actions.back' | translate }}</button>
                      <button 
                        mat-raised-button 
                        color="accent"
                        [disabled]="secondFormGroup.controls['activityFactor'].invalid"
                        matStepperNext
                        (click)="savePersonalData(stepper)">
                            {{ 'actions.save' | translate }}
                        </button>
                    </div>
                </form>
            </mat-step>
            <!-- [THIRD STEP] -->
            <mat-step>
                <ng-template matStepLabel>{{ 'profile.form.steps.finalize' | translate }}</ng-template>
               <!--  <form [formGroup]="thirdFormGroup" class="macro-goal-form">
                    <ng-template matStepLabel>Distribución de macronutrientes & Goal</ng-template>
                    <mat-card>
                        <p *ngIf="GOAL">
                            <strong>GOAL:
                            </strong><span>{{ GOAL | number:'1.1-2' }} kcal.</span>
                        </p>
    
                        
                    </mat-card>
    
    
                    <div class="mat-dialog-actions">
                        <button mat-button matStepperPrevious>{{ 'actions.back' | translate }}</button>
                        <button mat-button (click)="stepper.reset()">Reset</button>
                    </div>
                </form> -->
            </mat-step>
          </mat-horizontal-stepper>
    </div>

</mat-dialog-content>
